#
# spec file for package python-pyilmbase
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pyilmbase
Version:        2.1.0
Release:        1.5
Summary:        Python bindings for the IlmBase
License:        BSD-3-Clause
Group:          Development/Libraries/Python
Url:            http://openexr.com
Source0:        http://download.savannah.gnu.org/releases/openexr/pyilmbase-%{version}.tar.gz
Source1:        http://download.savannah.gnu.org/releases/openexr/pyilmbase-%{version}.tar.gz.sig
Source2:        python-pyilmbase.keyring
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  boost-devel
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRequires:  python-numpy-devel
BuildRequires:  pkgconfig(IlmBase) = %{version}
BuildRequires:  pkgconfig(python)
BuildRequires:  pkgconfig(zlib)
%{py_requires}

%description
The PyIlmBase library provides python bindings for the IlmBase library.

%package devel
Summary:        Devel files for %{name}
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}

%description devel
The PyIlmBase library provides python bindings for the IlmBase library.

%package -n libPyIex2
Summary:        Python bindings for IlmBase
Group:          Development/Libraries/Python

%description -n libPyIex2
The PyIlmBase library provides python bindings for the IlmBase library.

%post -n libPyIex2 -p /sbin/ldconfig

%postun -n libPyIex2 -p /sbin/ldconfig

%files -n libPyIex2
%defattr(-,root,root,-)
%{_libdir}/libPyIex.so.*

%package -n libPyImath2
Summary:        Python bindings for IlmBase
Group:          Development/Libraries/Python

%description -n libPyImath2
The PyIlmBase library provides python bindings for the IlmBase library.

%post -n libPyImath2 -p /sbin/ldconfig

%postun -n libPyImath2 -p /sbin/ldconfig

%files -n libPyImath2
%defattr(-,root,root,-)
%{_libdir}/libPyImath.so.*

%prep
%{?gpg_verify: %gpg_verify %{S:1}}
%setup -q -n pyilmbase-%{version}

%build
%{configure}
# mvyskocil: nice idea, but as cc1plus and ar tends to eat 1GB+ memory, my poor
# 8GB system got stuck. So to speedup things, lets drop paralel build
# make % {?_smp_mflags}
make

%install
%{makeinstall}

# kill the static files
rm -f %{buildroot}/%{_libdir}/*.la \
      %{buildroot}/%{py_sitedir}/*.la

%check
make check

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog LICENSE NEWS README
%{py_sitedir}/iexmodule.so
%{py_sitedir}/imathmodule.so
%{py_sitedir}/imathnumpymodule.so

%files devel
%defattr(-,root,root,0755)
%{_includedir}/OpenEXR
%{_libdir}/libPyIex.so
%{_libdir}/libPyImath.so
%{_libdir}/pkgconfig/PyIlmBase.pc
%{_datadir}/aclocal/pyilmbase.m4

%changelog
* Wed Nov 27 2013 mvyskocil@suse.com
- update to 2.1.0
  * optimisations for some of the python bindings to Imath
  * Bumped version to track OpenEXR
  (Piotr Stanczyk)
- turn off parallel build as it require a huge amount of memory
- renamed kyring file to match package name
* Mon Jul 15 2013 mvyskocil@suse.com
- update to 2.0.1
  * Bumped version to track OpenEXR
  (Piotr Stanczyk)
  * fixes sonames to match ilmbase/openexr
- add gpg-offline based verification
* Tue Aug 28 2012 mvyskocil@suse.cz
- add the missing files sections for lib packages
* Fri Aug  3 2012 mvyskocil@suse.cz
- Package pyilmbase 1.0.0 for SUSE
